/* Font Custom Setting */

@font-face {
  font-family: 'uglydave';
  src: url('../fonts/uglydave-webfont.woff2') format('woff2'), url('../fonts/uglydave-webfont.woff') format('woff'), url('../fonts/UglyDave.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* Ensures that a fallback font is used until the custom font is loaded */
}


/* Navigation bar */

.logo {
  width: 100px;
}

nav {
  margin: 3rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 48 64px;
}

.menu {
  display: flex;
}

.menu li {
  /* spacing links */
  /* 0 margin on top and bottom, 15px left and right */
  margin: 0 0 0 65px;

  /* remove bullets */
  list-style-type: none;
}

.menu li a {
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 1.5rem;
  
  /* remove underline */
  text-decoration: none;
}

.menu li a:hover {
  color: #BF9BDE;
}

/* album */
.album-container {
  display: flex;
  align-items: center;
  justify-content: space-between; /* Ensure space between elements */
  flex-wrap: wrap; /* Allows wrapping for smaller screens */
  width: 90%; /* Adjust as necessary */
  margin: 20px auto;
  background-color: none;
}

.album-icon {
  margin-top: 10px;
  max-width: 50%;
  height: auto;
}

.album-image {
  max-width: 850px; /* Increased max-width for larger size */
  margin: 10 0px 10px 0; 
}

.album-image img {
  width: 100%;
  height: auto;
  border-radius: 20px; /* Rounded corners */
}

.album-info {
  flex: 1;
  max-width: 400px; /* Adjust as necessary */
  margin: 10px;
  text-align: left;
}

.album-info h2 {
  margin-bottom: 10px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 3rem;
}

.album-info p {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin: 10 0 20px 0;
  letter-spacing: 1px;
}

.shop-now {
  font-family: 'Montserat', sans-serif;
  display: inline-block;  /* Makes the element behave like an inline element but allows block-level styling */
  padding: 27px 30px;
  border: 7.5px solid #35383F;
  border-radius: 50%;
  text-decoration: none;
  color: #35383F;
  font-weight: bold;
  font-size: 30px;
  text-align: center;
  background-color: white;
  margin-right: 40px;
}

/* Sections */

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin: 0 10 60 10px;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
  width: 90%;
  margin: 20px 0;
}

.merch-title {
  font-family: 'uglydave';
  color: #35383F;
  font-size: 80px;
  font-weight: normal;
  margin: 10 0 20px 0;
}

.item {
  flex: 1 1 calc(33% - 20px); /* Makes the item flexible with a basis of 33% minus 20px, allowing it to grow and shrink */
  max-width: calc(33% - 20px); /* Sets the maximum width of the item to 33% minus 20px */
  box-sizing: border-box; /* Includes padding and border in the element's total width and height */
  margin-bottom: 20px;
}

.item img {
  width: 100%;
  height: auto;
  border-radius: 20px;
}

.item h3 {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  font-weight: 600;
  font-size: 27px; /* Increased font size */
  letter-spacing: 1px;
  margin: 20 0 5px 0;
}

.item p {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin: 10px 0 0 0;
  letter-spacing: 1px;
  color: #35383F;
}
.item a {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin: 10px 0 0 0;
  letter-spacing: 1px;
  text-decoration: none;
  color: #35383F;
}

.arrows {
  display: flex;
  justify-content: space-between;
  width: 100%;
  position: relative; /* Sets the container's position to relative, allowing for positioning of child elements within it */
  top: -50%; /* Moves the container upwards by 50% of its own height, effectively centering it vertically in its parent */
}

.arrow {
  cursor: pointer;
}

.arrow-left {
  left: 0;
}

.arrow-right {
  right: 0;
}

.arrow img {
  width: 50px;
  height: 50px;
}

/* Booklet */

.booklet-section {
  display: flex;
  align-items: center;
  justify-content: space-between; /* Ensure space between elements */
  flex-wrap: wrap; /* Allows wrapping for smaller screens */
  width: 90%; /* Adjust as necessary */
  margin: 20px auto;
  background-color: none;
}

.booklet-card {
  max-width: 800px; /* Increased max-width for larger size */
  margin: 10 0 10px 0; 
}

.booklet-image {
  width: 100%;
  height: auto;
  border-radius: 20px; /* Rounded corners */
}

.booklet-details {
  flex: 1;
  max-width: 400px; /* Adjust as necessary */
  margin: 10px;
  text-align: left;
}

.booklet-title {
  font-family: 'uglydave';
  color: #35383F;
  font-size: 80px;
  font-weight: normal;
  margin: 10 0 20px 0;
}

.booklet-description {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin: 10 0 20px 0;
  letter-spacing: 1px;
}

.order-now {
  font-family: 'Montserat', sans-serif;
  display: inline-block; /* Makes the element behave like an inline element but allows block-level styling */
  padding: 27px 30px;
  border: 7.5px solid #35383F;  /* Adds a solid border of 7.5px with the color #35383F */
  border-radius: 50%;
  text-decoration: none;
  color: #35383F;
  font-weight: bold;
  font-size: 30px;
  text-align: center;
  background-color: white;
  margin-right: 20px;
}

/* Digital */

.digital-title {
  display: flex;
  justify-content: center;
  font-family: 'uglydave';
  color: #35383F;
  font-size: 80px;
  font-weight: normal;
  margin: 30 30 20px 0;
}

.music-list {
  list-style: none;
  padding: 0;
  margin: 60px;
}
.music-item {
  display: flex;
  align-items: center;
  margin-bottom: 40px;
}
.music-item img {
  width: 100px;
  height: 100px;
  border-radius: 20px;
  margin-right: 20px;
}
.music-item .play-button {
  width: 25px;
  height: 25px;
  cursor: pointer;
  margin-right: 50px;
}

.music-item .download-button {
  width: 45px;
  height: 45px;
  cursor: pointer;
  margin-right: 20px;
}

.title {
  flex-grow: 1; /* Allows the title to grow and take up available space in the flex container */
  margin-left: 40px;
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  font-weight: 600;
  letter-spacing: 1px;
}

.duration {
  margin-right: 60px;
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  font-weight: 600;
  letter-spacing: 1px;
}


/* Footer */
.footer {
  width: 100%;
  padding: 20px 0;
}

.footer-content {
  max-width: 1300px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  padding: 0;
}

.footer-section {
  flex: 1; /* Allows the section to grow and shrink as needed, taking up equal space within a flex container */
  margin: 0 30px;
}

.footer-section h2 {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  font-size: 18px;
  margin-bottom: 10px;
}

p {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
}

.footer-section ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-section ul li {
  margin-bottom: 10px;
}

.footer-section ul li a {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  text-decoration: none;
  color: #333;
}

.footer-section .logo {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.footer-logo {
  max-width: 150px;
  margin-bottom: 10px;
}


.footer-section.social-icons {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 4px;
  margin: 0;
}

.footer-section.social-icons a {
  display: inline-block;
  margin: 0 5px 0 0;
}

.footer-section.social-icons img {
  width: 24px;
  height: auto;
}

.newsletter form {
  display: flex;
  align-items: center;
  border: 1px solid #35383F;
  border-radius: 20px;
  padding: 5px;
  width: 100%;
  max-width: 300px;
}
.newsletter form img {
  width: 24px;
  margin: 0 0 0 10px;
}

.newsletter input {
  border: none;
  outline: none;
  padding: 5 10px;
  flex: 1;
  border-radius: 20px;
}

.newsletter button {
  border: none;
  background-color: #35383F;
  color: white;
  border-radius: 20px;
  padding: 5 15px;
  cursor: pointer;
}